@import url(https://fonts.googleapis.com/css?family=Open+Sans:400,700,600,300,800);

* {
  box-sizing: border-box;
}

html{
  overflow-x: hidden;
  width: 100%;
min-height: 100%;
margin: 0;
padding: 0;
display:flex;
justify-content: center;
backface-visibility:hidden;
}
body {
  overflow-x: hidden;
  
  font-family: "Open Sans", sans-serif;
  font-weight: 300;
  color: rgb(0,0,0);
  background-color: #44a9d8a9;
  background-image: url("imgs/Untitled-2it.png");

  
  background-repeat: no-repeat;
  background-size: 100% auto;
width: 100%;
min-height: 100%;
margin: 0;
padding: 0;
display:flex;
justify-content: center;
backface-visibility:hidden;
}
.navigation__checkbox {
  display: none; }

.navigation__button {
  background-color:rgba(68,170,216,1);
  height: 3rem;
  width: 3rem;
  position: fixed;
  top: 1rem;
  left: 19em;
  border-radius: 50% ;
  border: 1px solid rgba(235, 137, 137, 0.2);
  z-index: 500;
  text-align: center;
  cursor: pointer; 
  
}

.navigation__background {
  height: 2.5rem;
  width: 2.5rem;
  border-radius: 50%;
  position: fixed;
  top: 1.2rem;
  left: 19.2rem;
  background-image: radial-gradient(#44AAD8, #13649F);
  z-index: 300;
  transition: transform 0.8s cubic-bezier(0.86, 0, 0.07, 1); 
}

.navigation__nav {
  height: 100vh;
  
  width: 0;
  opacity: 0;
  position: fixed;
  top: 0;
  right: 0;
  z-index: 350;
  transition: all 0.8s cubic-bezier(0.68, -0.55, 0.265, 1.55); }

.navigation__list {
  position: absolute;
  padding-left: 0;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  list-style: none;
  text-align: center;
  width: 100%; }

.navigation__item {
  margin: 1rem; }

.navigation__link:link, .navigation__link:visited {
  font-size: 2rem;
  font-weight: 150;
  padding: 1rem 2rem;
  color: #ffffff;
  text-decoration: none;
  text-transform: uppercase;
  transition: all .4s;
  display: inline-block; }

.navigation__link:hover, .navigation__link:active {
  background-position: 100%;
  color: #000000;
  transform: translateX(1rem); 
}

.navigation__checkbox:checked ~ .navigation__background {
  transform: scale(80); }

.navigation__checkbox:checked ~ .navigation__nav {
  opacity: 1;
  width: 100%; }

.navigation__icon {
  position: relative;
  margin-top: 1.5rem; }
  .navigation__icon, .navigation__icon::before, .navigation__icon::after {
    width: 1.5rem;
    height: 1px;
    background-color: rgba(0,0,0,.8);
    display: inline-block; }
  .navigation__icon::before, .navigation__icon::after {
    content: "";
    position: absolute;
    left: 0;
    transition: all .2s;
  }
  .navigation__icon::before {
    top: -.5rem;
    transform-origin: right; }
  .navigation__icon::after {
    top: .5rem;
    transform-origin: left; }

.navigation__button:hover .navigation__icon::before {
  top: -.5rem; }

.navigation__button:hover .navigation__icon::after {
  top: .5rem; }

.navigation__checkbox:checked + .navigation__button .navigation__icon {
  background-color: transparent; }

.navigation__checkbox:checked + .navigation__button .navigation__icon::before {
  top: .5rem;
  left: -.2rem;
  transform: rotate(42deg); }

.navigation__checkbox:checked + .navigation__button .navigation__icon::after {
  top: .5rem;
  left: 0.2rem;
  transform: rotate(-42deg); }

.navBar{
  display: none;
}
@mixin epic-sides() { // https://codepen.io/MichaelArestad/pen/qltuk
    position: relative;
    z-index: 0;

    &:before {
        position: absolute;
        content: "";
        display: block;
        top: 0;
        left: -5000px;
        height: 100%;
        width: 15000px;
        z-index: -1;
        @content;
    }
}
#inscriere{
  padding-top: 50px;
}
.file-field .file-path-wrapper {
  overflow: hidden;
  padding-left: 10px;
}

.file-field input.file-path {
  width: 100%;
}
.custom-select {
  position: relative;
  z-index: 299;
}

.custom-select select {
  display: none; /*hide original SELECT element:*/
  color: #fff;
}

.select-selected {
  background-color: #44AAD8;
}

/*style the arrow inside the select element:*/
.select-selected:after {
  position: absolute;
  content: "";
  top: 14px;
  right: 10px;
  width: 0;
  height: 0;
  border: 6px solid transparent;
  border-color: rgb(255, 255, 255) transparent transparent transparent;
}

/*point the arrow upwards when the select box is open (active):*/
.select-selected.select-arrow-active:after {
  border-color: transparent transparent rgb(255, 255, 255) transparent;
  top: 7px;
}

/*style the items (options), including the selected item:*/
.select-items div,.select-selected {
  color: #ffffff;
  padding: 8px 16px;
  border: 1px solid transparent;
  border-color: transparent transparent rgba(0, 0, 0, 0.1) transparent;
  cursor: pointer;
  user-select: none;
}
a{
  text-decoration: none;
}
/*style items (options):*/
.select-items {
  position: absolute;
  background-color: #44AAD8;
  top: 100%;
  left: 0;
  right: 0;
  z-index: 99;
}

/*hide the items when the select box is closed:*/
.select-hide {
  display: none;
}

.select-items div:hover, .same-as-selected {
  background-color: rgba(0, 0, 0, 0.1);
}
/* Popup container - can be anything you want */
.popup {
  position: relative;
  display: inline-block;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;

  .popuptext{
    position: relative;
    left: 135px;
    bottom: -40px;
      visibility: hidden;
      width: 160px;
      background-color: #44AAD8;
      color: #fff;
      text-align: center;
      border-radius: 6px;
      padding: 8px 0;
      position: absolute;
      z-index: 1;
        &::after{
        content: "";
        position: absolute;
        bottom: 20%;
        left: 0%;
        margin-left: -5px;
        border-width: 5px;
        border-style: solid;
        border-color: #44AAD8 transparent transparent transparent;
        }
     }
    .show{
      visibility: visible;
      -webkit-animation: fadeIn 1s;
      animation: fadeIn 1s;
    }

  }

/* Add animation (fade in the popup) */
@-webkit-keyframes fadeIn {
  from {opacity: 0;} 
  to {opacity: 1;}
}
@keyframes fadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity:1 ;
  }
}
.page-footer {
  overflow: hidden;

}
.power-row{
  z-index: 1;
  margin-left: 30px;
  margin-right: 30px;
  margin-bottom: 20px;
}
.row {
  max-width: 800px;
  padding: 0;
  margin-left: 30px;
  margin-right: 30px;
  margin-bottom: 20px;
  @include epic-sides() {background: inherit;}
  text-align: center;


  .displayblock{
text-align: left;
display: block;
margin-bottom: 10px;
margin-left: 0;

  }

  &:first-child {
    padding: 0;
  }
  #studiu{
    float: left;
    display: block;
    font-size: 11px;
    font-weight: 700;
  color: #aaa;
   padding-right: 12px;
   padding-left: 13px;
    padding-top: 0;
    margin-bottom: 0;
    margin-top: 10px;
    text-transform: uppercase;
  }
  .text{
    padding-top: 20px;
    padding-bottom: 10px;
    text-align: center;
  }
}
.popup {
  position: relative;
  display: inline-block;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;

  .popuptext{
    position: relative;
    left: 135px;
    bottom: -40px;
      visibility: hidden;
      width: 160px;
      background-color: #44AAD8;
      color: #fff;
      text-align: center;
      border-radius: 6px;
      padding: 8px 0;
      position: absolute;
      z-index: 1;
        &::after{
        content: "";
        position: absolute;
        bottom: 18%;
        left: 0%;
        margin-left: -5px;
        border-width: 5px;
        border-style: solid;
        border-color: #44AAD8 transparent transparent transparent;
        }
     }
    .show{
      visibility: visible;
      -webkit-animation: fadeIn 1s;
      animation: fadeIn 1s;
    }

  }

/* Add animation (fade in the popup) */
@-webkit-keyframes fadeIn {
  from {opacity: 0;} 
  to {opacity: 1;}
}
@keyframes fadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity:1 ;
  }
}
h3{
  margin: 0;
  font-size: 25px;
  font-weight: 400;
}
h1{
  font-size: 40px;
  font-weight: 500;
}

  
 

/* Base for label styling */
.ws, .acord-regulament{
  [type="checkbox"]:not(:checked),
  [type="checkbox"]:checked {
    position: absolute;
    left: -9999px;
  }
  [type="checkbox"]:not(:checked) + label,
  [type="checkbox"]:checked + label {
    position: relative;
    padding-left: 1.95em;
    cursor: pointer;
  }
  
  /* checkbox aspect */
  [type="checkbox"]:not(:checked) + label:before,
  [type="checkbox"]:checked + label:before {
    content: '';
    position: absolute;
    left: 0; top: 0;
    width: 1.25em; height: 1.25em;
    border: 2px solid #ccc;
    background: #fff;
    border-radius: 4px;
    box-shadow: inset 0 1px 3px rgba(0,0,0,.1);
  }
  /* checked mark aspect */
  [type="checkbox"]:not(:checked) + label:after,
  [type="checkbox"]:checked + label:after {
    content: '\2713\0020';
    position: absolute;
    top: .15em; left: .22em;
    font-size: 1.3em;
    line-height: 0.8;
    color: #44AAD8;
    transition: all .2s;
    font-family: 'Lucida Sans Unicode', 'Arial Unicode MS', Arial;
  }
  /* checked mark aspect changes */
  [type="checkbox"]:not(:checked) + label:after {
    opacity: 0;
    transform: scale(0);
  }
  [type="checkbox"]:checked + label:after {
    opacity: 1;
    transform: scale(1);
  }
  
  label:hover:before {
    border: 2px solid rgba(19, 100, 159, .4);
  }
  
}


.balloon {
 
    display: inline-block;
    width: 300px;
    padding: 10px 0 10px 15px;
    font-family: "Open Sans", sans;
    font-weight: 400;
    color: rgb(10, 16, 19);
    background: white;
    border: 0;
    border-radius: 3px;
    outline: 0;
    text-indent: 60px; // Arbitrary.
    

    transition: all .3s ease-in-out;
    border-bottom: solid #aaa;
    
    &::-webkit-input-placeholder {
      color: #efefef;
      text-indent: 0;
      font-weight: 300;
      
    }
  
    + label {
      display:block;
      position: absolute;
      top: 8px;
      left: 0;
      bottom: 8px;
      padding: 5px 15px;
      color: #aaa;
      font-size: 11px;
      font-weight: 700;
      text-transform: uppercase;
      text-shadow: 0 1px 0 rgba(19,74,70,0);
      transition: all .3s ease-in-out;
      border-radius: 3px;
      background: rgba(122,184,147,0);
    
      
      &:after {
        position: absolute;
        content: "";
        width: 0;
        height: 0;
        top: 100%;
        left: 50%;
        margin-left: -3px;
        border-left: 3px solid transparent;
        border-right: 3px solid transparent;
        border-top: 3px solid rgba(122,184,147,0);
        transition: all .3s ease-in-out;
        
      }
    }
  }
  .balloon:focus,
  .balloon:active, .balloon.lg:focus, 
  .balloon.lg:active, .ballon-other:focus, .ballon-other:active{ 
    color: rgb(0, 0, 0);
    text-indent: 0;
    background: #efefef;
    
    
    &::-webkit-input-placeholder {
      color: #aaa;
      
    }
    + label {
      color: #fff;
      text-shadow: 0 1px 0 rgba(19,74,70,.4);
      background: rgb(68,170,216);
      transform: translateY(-40px);
      display: block;
      
      
      &:after {
        border-top: 4px solid rgb(68,170,216);
        
      }
    }
  }
  span {
    position: relative;
    display: inline-block;
    margin: 30px 1px;
    margin-left:0;
  }
  #work{
    position: relative;
    display: inline-block;
    margin: 0 0;
    margin-left: 0;
  }
  
  .balloon.lg{
    text-indent: 150px;
    
    
  }
  .ballon-other{
    text-indent: 0px;
  }
  .hidden{
    display: none;
  }
  .textareas{
    margin-top: 7px;
    width: 100%;
    border-top: none;
    border-left: none;
    border-right: none;
    outline: none;
    resize: none;
    border-bottom:solid #aaa;
    border-radius: 3px;
  }
  
  form{
  background-color: white;
  width: 100%;
  box-shadow: 3px 3px 10px 1px;
  padding-left: 83px;
  padding-right: 80px;

 
  input[type="checkbox"]{
    padding-bottom: 2px
  }
  
  .js .inputfile {
    width: 0.1px;
    height: 0.1px;
    opacity: 0;
    overflow: hidden;
    position: absolute;
    z-index: -1;
}

.inputfile + label {
    max-width: 80%;
    font-size: 1rem;
    /* 20px */
    font-weight: 700;
    text-overflow: ellipsis;
    white-space: nowrap;
    cursor: pointer;
    display: inline-block;
    overflow: hidden;
    padding: 0rem 0rem;
    /* 10px 20px */
    border-radius: 100px;

    height: 53px;

}
.no-js .inputfile + label {
    display: none;
}

.inputfile:focus + label,
.inputfile.has-focus + label {
    outline: 1px dotted #000;
    outline: -webkit-focus-ring-color auto 5px;
}

.inputfile + label svg {
    width: 2em;
    height: 1em;
    vertical-align: middle;
    fill: currentColor;
    margin-top: -0.25em;
    /* 4px */
    margin-right: 0.25em;
    /* 4px */

    padding-left: 10px;
    

}

  .inputfile-1 + label {
    color: #ffffff;
    background-color: #44AAD8;
}

.inputfile-1:focus + label,
.inputfile-1.has-focus + label,
.inputfile-1 + label:hover {
    background-color: #13649F;
}
#file-1{
  width: 0;
  padding: 0;



}
#choose-file{
  
  padding-left: 0px;
  padding-bottom: 10px;
  padding-right: 10px;
  padding-top: 10px;

  margin-top: 7px;


}



  .btn{
    text-transform: uppercase;
    padding: 20px 45px;
    display: inline-block;
    border-radius: 100px;
    transition: all .3s;
    backface-visibility:hidden;
    border: 0px;

  
    &:hover{
      transform: translateY(-3px);
      box-shadow: 0 10px 20px rgba(0,0,0,.2);
    }
    &:active{
      transform: translate(-1px);
      box-shadow: 0 5px 10px rgba(0,0,0,.2);
    }
    
  }
  
  .btn-blue{
    background-color: #13649F;
    color: white;
    margin-bottom: 30px;
    cursor: pointer; 
    font-weight: 700;
    font-size: 18px;
  }
  
  
  }

.lista-workshops{
  &:last-child{
    padding-bottom: 20px;
  }
}
#lista-ani{
  width: 100%;
  border-top: none;
  border-left: none;
  border-right: none;
  border-bottom: solid #aaa;
}
.acord-regulament{
  position: relative;
  left:-5px;
}
input[type="radio"] {
  -webkit-appearance:none;
  margin: 0px 10px;
  width: 13px;
  height: 13px;
  background: #eeeeee;
  box-shadow:
    inset 0 0 0 .4em white,
    0 0 0 .3em;
  border-radius: 50%;
  transition: .2s;
  cursor:pointer;
  color: #0000006e;

  &:hover,
  &:checked {
    background: #363945;
    box-shadow:
    inset 0 0 0 .5em white,
    0 0 0 .3em;
  }
  
  &:checked {
    background: #44AAD8;
    box-shadow:
      inset 0 0 0 .4em white,
      0 0 0 .3em #44AAD8;
  } 

  &:focus { outline: 0; }
}

@media only screen and(min-width: 1024px){

   .navigation{
    display: none;
  }
  .navBar{
   display: block;
  }

}
    
@media only screen and(min-width: 700px){
     
     .navigation__button{
      left: 41em;
    }
    .navigation__background{
      left: 41.2rem;
    }
  }
 
  